{% extends "base.html" %}

{% block content %}
    
    <div class="d-flex flex-row align-items-center p-2 mb-2">
        <form 
            style="max-width: 400px;"
            method="POST" 
            enctype="multipart/form-data" 
            action="{{ url_for('views.create_task') }}">
            
            <div class="mb-3">
                <label for="file-input" class="form-label">Please select file</label>
                <input id="file-input" class="form-control" type="file" name="file" accept="video/mp4"/>
            </div>
            
            <div class="form-check mb-3">
                <input id="check-input" class="form-check-input" type="checkbox" value="" name="with_visualization">
                <label class="form-check-label" for="check-input">
                    With objects visualization ? <br>
                    (will take much longer time and is more CPU expensive)
                </label>
            </div>
            
            <button class="btn btn-primary" type="submit">Send</button>
        </form>
    </div>
    
    <hr>
    <h3>Task list:</h3>
    <div class="d-flex flex-column p-2">
        <p>
            After task creation the application will need some time to preccess a video.
            Therefore to see the current state of tasks - reload page.
        </p>
        {% for task in tasks %}
            <div class="d-flex flex-row p-3 bg-light">
                <div class="d-flex flex-column">
                    <a href="{{ url_for('views.task_details', task_id=task.id) }}">
                        <h3>Task-{{ task.id }}</h3>
                    </a>
                    <span>
                        <b>Video file name:</b>
                        <a href="{{ url_for('_uploads.uploaded_file', setname='video', filename=task.video_file) }}">{{ task.video_file }}</a>
                    </span>
                    <span>
                        <b>Frames count:</b> 
                        {{ task.frames_count }}
                    </span>
                    <span>
                        <b>Successfully processed frames:</b> 
                        <span class="text-success">{{ task.successful_frames | length }}</span>
                    </span>
                    <span>
                        <b>Processeded with error frames:</b>
                        <span class="text-danger">{{ task.failed_frames | length }}</span>
                    </span>
                    <span>
                        <b>Created at:</b> 
                        {{ task.created_at }}
                    </span>
                </div>
            </div>
        {% else %}
            <span>Empty</span>
        {% endfor %}
    </div>
{% endblock %}